BINSTALL(8)

NAME
/usr/mdec/binstall - install sparc and sparc64 boot blocks

SYNOPSIS
/usr/mdec/binstall [-htUuv] [-b bootprog] [-f filesystem] [-m mdec] [-i installbootprog] [ “net” | “ffs”] [directory]

DESCRIPTION
The /usr/mdec/binstall program prepares a sparc or sparc64 system for booting, either from local disk from a “ffs” partition or over the network. The default type of boot block installed is derived from the host system. If it is an UltraSPARC, the sparc64 boot blocks will be used, otherwise the SPARC boot blocks will be used. /usr/mdec/binstall can be forced to prepare a disk for either.

OPTIONS
The following options are available:

-b  Set the second stage boot program to bootprog. This will typically be boot.net for sparc systems and ofwboot.net for sparc64 systems.

-f  Set the path to the filesystem being installed for to filesystem. This is otherwise derived from the [directory].

-h  Display help.

-i  Set the path to the installboot(8) program to installbootprog. This is useful for using /usr/mdec/binstall on non-sparc or sparc64 systems.

-m  Sets the path to the machine dependent directory to mdec. This is the directory that both the boot blocks and the installboot(8) program live.

-t  Test mode; does not run any program. Implies the -v option.

-U  Install sparc (SPARC) boot blocks.

-u  Install sparc64 (UltraSPARC) boot blocks.

-v  Be verbose.

SEE ALSO
disklabel(8), installboot(8)